/**
 * $Id: FlashLight.java 8 2006-08-09 05:47:40Z gez $
 * 
 * Flashlight/flashLight/FlashLight.java
 * 
 * (c) 2005 by Gerhard Zlabinger
 */

package flashLight;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Graphics;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

public class FlashLight extends MIDlet {

    private final Canvas c = new Canvas() {

            protected void paint(Graphics g) {
                g.setColor(0xFFFFFF);
                g.fillRect(0, 0, getWidth() - 1, getHeight() - 1);
            }

            protected void keyReleased(int k) {
                exit();
            }

        };

    protected void startApp() throws MIDletStateChangeException {
        Display.getDisplay(this).setCurrent(c);
    }

    protected void pauseApp() {
        notifyPaused();
    }

    protected void destroyApp(boolean uc) throws MIDletStateChangeException {
        notifyDestroyed();
    }

    public void exit() {
        try {
            destroyApp(false);
        } catch (MIDletStateChangeException e) {
            Display.getDisplay(this).setCurrent(new Alert("Error", e.getMessage(), null, AlertType.ERROR));
        }
    }
}
